/* ====================================================================
 * Copyright (c) 2003-2006, Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

#ifndef _SC_GUILOCK_H
#define _SC_GUILOCK_H

// qt
#include <QtGui/QApplication>

class GuiLock
{
public:
  GuiLock()
  {
    qApp->lock();
  }

  ~GuiLock()
  {
    qApp->unlock();
  }
};



#endif // _SC_GUILOCK_H
